
package com.ejie.ab61.clientesWS.pid;

import javax.xml.ws.WebFault;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebFault(name = "W43dfWSFault", targetNamespace = "com/ejie/documents/xml")
public class W43DfWSFault extends Exception {

	/**
	 * Java type that goes as soapenv:Fault detail element.
	 * 
	 */
	private W43DfWSFaultInfo faultInfo;

	/**
	 * 
	 * @param message
	 * @param faultInfo
	 */
	public W43DfWSFault(String message, W43DfWSFaultInfo faultInfo) {
		super(message);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @param message
	 * @param faultInfo
	 * @param cause
	 */
	public W43DfWSFault(String message, W43DfWSFaultInfo faultInfo, Throwable cause) {
		super(message, cause);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @return returns fault bean:
	 *         com.ejie.ab61.clientesWS.pid.W43DfWSFaultInfo
	 */
	public W43DfWSFaultInfo getFaultInfo() {
		return faultInfo;
	}

}
